Issue a credential
Use this endpoint to issue a draft credential and change the status from `draft` to `issued`. You can only issue credentials with `status = "draft"`.
Use this endpoint to issue a draft credential and change the status from draft to issued.
You can only issue credentials with status = "draft".
As the next step, use the Send a credential endpoint to send your recipient a published credential.
If you are looking for an all-in-one solution that simultaneously creates, issues, and sends a credential, check the Create, issue, and send a credential endpoint.
Authorization
BearerAuth Provide your access token in the Authorization header with Bearer auth-scheme. You can view and manage your access tokens in the Certifier Dashboard.
In: header
Path Parameters
The unique ID of the credential
Header Parameters
API version header. Required for all requests.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://api.certifier.io/v1/credentials/01hz2f0c9ryvzajg20jqh9taab/issue" \ -H "Certifier-Version: 2022-10-26"{
"id": "01hz2f0c9ryvzajg20jqh9taab",
"publicId": "124a8110-1af5-4747-9308-e9d06bd1852a",
"groupId": "01g90279gp5sbmfek7wymcsvec",
"status": "draft",
"recipient": {
"id": "01jmerb62apgachxwx6db76c7s",
"name": "John Doe",
"email": "john.doe@example.com"
},
"issueDate": "2022-01-01",
"expiryDate": "2023-01-01",
"attributes": {
"recipient.name": "John Doe"
},
"customAttributes": {
"custom.mentor": "Jane Doe"
},
"createdAt": "2022-01-01T00:00:00.000Z",
"updatedAt": "2022-01-01T00:00:00.000Z"
}{
"error": {
"code": "missing_version",
"message": "The request is missing the required Certifier-Version header"
}
}{
"error": {
"code": "unauthorized",
"message": "A valid authentication token was not provided with the request"
}
}{
"error": {
"code": "payment_required",
"message": "The requested feature is only available to premium organizations"
}
}{
"error": {
"code": "not_found",
"message": "The requested resource does not exist"
}
}{
"error": {
"code": "rate_limited",
"message": "You have exceeded the rate limit"
}
}{
"error": {
"code": "internal_server_error",
"message": "There was a problem on Certifier's end"
}
}Create, issue, and send a credential POST
Use this endpoint to issue a credential. It is an all-in-one solution that simultaneously creates, issues, and sends a credential. This endpoint covers most of the basic scenarios.
Search credentials POST
The Credentials Search API allows you to find and filter credentials using structured queries with logical operators, sorting, and pagination.